%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Digest-BubbleBabble
Version:       0.02
Release:       3mamba
Summary:       Digest::BubbleBabble - Create bubble-babble fingerprints
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/authors/id/B/BT/BTROTT/Digest-BubbleBabble-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
Digest::BubbleBabble takes a message digest (generated by either of the MD5 or SHA-1 message digest algorithms) and creates a fingerprint of that digest in \"bubble babble\" format.
Bubble babble is a method of representing a message digest as a string of \"real\" words, to make the fingerprint easier to remember.

%prep
%setup -q -n Digest-BubbleBabble-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 0.02-3mamba
- automatic rebuild by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.02-2mamba
- perl 5.16 mass rebuild

* Fri Apr 01 2011 Automatic Build System <autodist@mambasoft.it> 0.02-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.01-3mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 0.01-2mamba
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.01-1qilnx
- first build
